Page MenuHomePhabricator

Failed to fetch notifications: Notifications fail to load
Closed, ResolvedPublicBUG REPORT

Assigned To
Authored By
Moebeus
Jun 12 2024, 9:55 PM
Referenced Files
F55284139: image.png
Jun 13 2024, 9:48 AM
F55284137: image.png
Jun 13 2024, 9:48 AM
F55284135: image.png
Jun 13 2024, 9:48 AM
F55284118: image.png
Jun 13 2024, 9:43 AM
F55270601: image.png
Jun 12 2024, 9:55 PM

Description

Steps to replicate the issue (include links if applicable):
Click on the notification inbox icon

What happens?:
No notifications are shown, instead a pretty error message "Failed to fetch notifications" appears.

What should have happened instead?:
notifications should have been fetched as normal.

Software version (on Special:Version page; skip for WMF-hosted wikis like Wikipedia):

Other information (browser name/version, screenshots, etc.):

image.png (224×527 px, 13 KB)

Related Objects

StatusSubtypeAssignedTask
ResolvedReleasebrennen
ResolvedBUG REPORTbrennen

Event Timeline

Bugreporter subscribed.

Any errors shown in your browser console?

Yes. A jQuery error happens whenever I trigger the action:

image.png (248×543 px, 23 KB)

More errors on the page, some of these look very familiar/have been there a long time, not sure if related to the problem:

image.png (204×547 px, 21 KB)
image.png (150×552 px, 16 KB)
image.png (179×550 px, 18 KB)

Change #1043113 had a related patch set uploaded (by Esanders; author: Esanders):

[mediawiki/extensions/Echo@master] Convert local function to arrow function to fix context

https://gerrit.wikimedia.org/r/1043113

Will need to be backported to wmf.9

Change #1043113 merged by jenkins-bot:

[mediawiki/extensions/Echo@master] Convert local function to arrow function to fix context

https://gerrit.wikimedia.org/r/1043113

Change #1043126 had a related patch set uploaded (by Jforrester; author: Esanders):

[mediawiki/extensions/Echo@wmf/1.43.0-wmf.9] Convert local function to arrow function to fix context

https://gerrit.wikimedia.org/r/1043126

Change #1043126 merged by jenkins-bot:

[mediawiki/extensions/Echo@wmf/1.43.0-wmf.9] Convert local function to arrow function to fix context

https://gerrit.wikimedia.org/r/1043126

Mentioned in SAL (#wikimedia-operations) [2024-06-13T16:40:52Z] <brennen@deploy1002> Started scap: Backport for [[gerrit:1043126|Convert local function to arrow function to fix context (T367366)]]

Mentioned in SAL (#wikimedia-operations) [2024-06-13T16:43:29Z] <brennen@deploy1002> jforrester, brennen: Backport for [[gerrit:1043126|Convert local function to arrow function to fix context (T367366)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-06-13T16:57:43Z] <brennen@deploy1002> Finished scap: Backport for [[gerrit:1043126|Convert local function to arrow function to fix context (T367366)]] (duration: 16m 51s)

brennen claimed this task.